//
//  UIFont-Extension.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2022/10/16.
//  Copyright © 2022 www.davidhuang.com. All rights reserved.
//

import UIKit
extension UIFont {
    
    
//    PingFangSC-ExtraLight                 苹方 特细
//    PingFangSC-Light                    苹方 细体
//    PingFangSC-Regular                 苹方 常规
//    PingFangSC-Medium                   苹方 中等
//    PingFangSC-Bold                     苹方 粗体
//    PingFangSC-Heavy                   苹方 特粗
    
    // MARK: - 苹果字体
    //特细
    class func PingFangScEL(ofSize size : CGFloat = 17) -> UIFont {
        return UIFont(name: "PingFangSC-Thin", size: size)!
    }
    //细体
    class func PingFangScL(ofSize size : CGFloat = 17) -> UIFont {
        return UIFont(name: "PingFangSC-Light", size: size)!
    }
    //常规
    class func PingFangScR(ofSize size : CGFloat = 17) -> UIFont {
        return UIFont(name: "PingFangSC-Regular", size: size)!
    }
    
    //中等
    class func PingFangScM(ofSize size : CGFloat = 17) -> UIFont {
        return UIFont(name: "PingFangSC-Medium", size: size)!
    }
    
    //粗体
    static func PingFangScB(ofSize size : CGFloat = 17) -> UIFont {
        return UIFont(name: "PingFangSC-Semibold", size: size)!
    }
}
